Debian Bug report logs - #389287
Package built against libraries from experimental

version graph

Package: gcalctool; Maintainer for gcalctool is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gcalctool is src:gnome-calculator.

Reported by: Michael Biebl <biebl@teco.edu>

Date: Sun, 24 Sep 2006 23:33:22 UTC

Severity: grave

Found in version gcalctool/5.8.24-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#389287; Package gcalctool. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@teco.edu>:
New Bug report received and forwarded. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@teco.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Package built against libraries from experimental
Date: Mon, 25 Sep 2006 00:50:00 +0200
Package: gcalctool
Version: 5.8.24-1
Severity: grave

The above version of gcalctool was built against gtk-2.10 from
experimental but the package was uploaded to unstable. This makes the
package uninstallable. This problem can most likely been solved by
scheduling binNMUs (given that the build deps don't have to be changed).

Cheers,
Michael


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (300, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages gcalctool depends on:
ii  gconf2                       2.14.0-4    GNOME configuration database syste
ii  libatk1.0-0                  1.12.2-1    The ATK accessibility toolkit
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libgconf2-4                  2.14.0-4    GNOME configuration database syste
ii  libglib2.0-0                 2.12.3-2    The GLib library of C routines
ii  libgnome2-0                  2.14.1-3    The GNOME 2 library - runtime file
ii  libgnomeui-0                 2.14.1-2    The GNOME 2 libraries (User Interf
ii  libgtk2.0-0                  2.8.20-1    The GTK+ graphical user interface 

gcalctool recommends no packages.

-- no debconf information



Reply sent to Loïc Minier <lool@dooz.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@teco.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 389287-done@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Michael Biebl <biebl@teco.edu>, 389287-done@bugs.debian.org
Subject: Re: Bug#389287: Package built against libraries from experimental
Date: Mon, 25 Sep 2006 08:41:16 +0200
Version: 5.8.24-1+b1

On Mon, Sep 25, 2006, Michael Biebl wrote:
> The above version of gcalctool was built against gtk-2.10 from
> experimental but the package was uploaded to unstable. This makes the
> package uninstallable. This problem can most likely been solved by
> scheduling binNMUs (given that the build deps don't have to be changed).

 I think the maintainer uploaded a manual bin NMU already or requested
 on to release, anyway I see:
 gcalctool | 5.8.24-1+b1 |      unstable | i386


-- 
Loïc Minier <lool@dooz.org>



Reply sent to "Guilherme de S. Pastore" <gpastore@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@teco.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 389287-done@bugs.debian.org (full text, mbox):

From: "Guilherme de S. Pastore" <gpastore@debian.org>
To: Michael Biebl <biebl@teco.edu>, 389287-done@bugs.debian.org
Subject: Re: Bug#389287: Package built against libraries from experimental
Date: Mon, 25 Sep 2006 14:22:47 -0300
Version: 5.8.24-1+b1

Em Seg, 2006-09-25 às 00:50 +0200, Michael Biebl escreveu:
> The above version of gcalctool was built against gtk-2.10 from
> experimental but the package was uploaded to unstable. This makes the
> package uninstallable. This problem can most likely been solved by
> scheduling binNMUs (given that the build deps don't have to be changed).

A homemade binary-only i386 upload was made yesterday, fixing the
problem.

Thanks anyway,

--
Guilherme de S. Pastore
fatalerror




Message #16 received at 389287-done@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 389287-done@bugs.debian.org
Subject: Bug should be closed
Date: Sat, 14 Oct 2006 15:26:44 +0100
The binNMU is in both etch and sid, so let's kill this one.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You raise the blade, you make the change... You re-arrange me 'til I'm sane...




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#389287; Package gcalctool. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #21 received at 389287@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 389287@bugs.debian.org
Subject: closing with fixed version
Date: Sat, 14 Oct 2006 23:33:05 -0400
[Message part 1 (text/plain, inline)]
Version: 5.8.24-1

Letting the BTS know that the arches that were not bin-nmued and so are
at the old version number are not affected.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@teco.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 389287-done@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 389287-done@bugs.debian.org
Subject: closing with fixed version
Date: Tue, 17 Oct 2006 16:13:58 -0400
[Message part 1 (text/plain, inline)]
Version: 5.8.24-1

Letting the BTS know that the arches that were not bin-nmued and so are
at the old version number are not affected.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Michael Biebl <biebl@teco.edu> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 01:38:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:48:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.